msolve (0.10.1-1build1) stonking; urgency=medium

  * No-change rebuild for libflint24.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 08 Aug 2026 22:40:43 +0000

msolve (0.10.1-1) unstable; urgency=medium

  * New upstream release.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 09 Jul 2026 10:24:24 -0400

msolve (0.10.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Bump Standards-Version to 4.7.4.

 -- Doug Torrance <dtorrance@debian.org>  Mon, 15 Jun 2026 13:03:22 -0400

msolve (0.9.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/libmsolve3.symbols
    - Remove missing nmod_mat_* symbols.
  * debian/patches/nmod.patch
    - Remove patch; applied upstream.
  * debian/patches/x86-baseline.patch
    - Refresh for new upstream release.
  * debian/rules
    - Restore dh_auto_test on 32-bit architectures

 -- Doug Torrance <dtorrance@debian.org>  Fri, 27 Mar 2026 16:29:17 -0400

msolve (0.9.4-2) unstable; urgency=medium

  * debian/control
    - Drop Priority field; "optional" is now the default.
    - Add Multi-Arch field for libmsolve-dev ("same").
    - Bump Standards-Version to 4.7.3.
  * debian/copyright
    - Update my copyright years.
  * debian/patches/nmod.patch
    - New patch; only include flint/nmod.h if we have it.  This is
      necessary for backporting to bookworm, where this header file does
      not exist.

 -- Doug Torrance <dtorrance@debian.org>  Sun, 08 Feb 2026 22:08:04 -0500

msolve (0.9.4-1) unstable; urgency=medium

  * New upstream release.

 -- Doug Torrance <dtorrance@debian.org>  Fri, 12 Dec 2025 09:28:01 -0500

msolve (0.9.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Add Multi-Arch field for libmsolve3 (same).
  * debian/libmsolve3.symbols
    - Add new symbols.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 04 Dec 2025 08:11:12 -0500

msolve (0.9.2-1) unstable; urgency=medium

  * New upstream release.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 09 Oct 2025 13:17:21 -0400

msolve (0.9.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Remove redundant Rules-Requires-Root field.
  * debian/libmsolve3.symbols
    - Update symbols for new release.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 24 Sep 2025 10:11:07 -0400

msolve (0.9.0-2) unstable; urgency=medium

  * Upload to unstable now that trixie has been released.
  * debian/gbp.conf
    - Set pristine-tar to true

 -- Doug Torrance <dtorrance@debian.org>  Fri, 15 Aug 2025 11:22:56 -0400

msolve (0.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental due to trixie freeze.
  * Rename libmsolve2 -> libmsolve3 for SOVERSION bump

 -- Doug Torrance <dtorrance@debian.org>  Sat, 28 Jun 2025 22:47:38 -0400

msolve (0.8.0-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental due to trixie freeze.
  * Rename libmsolve0 -> libmsolve2 for SOVERSION bump.
  * debian/copyright
    - Replace old FSF address.
  * debian/libmsolve2.symbols
    - Incorporate new symbols.
  * debian/patches/x86-baseline.patch
    - Refresh for new upstream release.

 -- Doug Torrance <dtorrance@debian.org>  Fri, 16 May 2025 08:30:42 -0400

msolve (0.7.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Bump Standards-Version to 4.7.2
  * debian/copyright
    - Update my copyright years
  * debian/libmsolve0.symbols
    - Remove symbol that is only present when compiled with non-baseline
      x86 support.
  * debian/patches/x86-baseline.patch
    - New patch; only compile with x86 baseline features (Closes: #1099571).

 -- Doug Torrance <dtorrance@debian.org>  Mon, 17 Mar 2025 08:12:13 -0400

msolve (0.7.4-1) unstable; urgency=medium

  * New upstream release.

 -- Doug Torrance <dtorrance@piedmont.edu>  Fri, 28 Feb 2025 13:58:18 -0500

msolve (0.7.3-1) unstable; urgency=medium

  * New upstream release.

 -- Doug Torrance <dtorrance@debian.org>  Mon, 14 Oct 2024 07:10:20 -0400

msolve (0.7.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/libmsolve0.symbols
    - Update symbols for new release.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 19 Sep 2024 22:19:26 -0400

msolve (0.7.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/32-bit.patch
    - Remove patch; applied upstream.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 31 Jul 2024 09:33:31 -0400

msolve (0.7.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/32-bit.patch
    - Completely rewrite patch.  Previous version was applied upstream,
      and now we fix a completely different but new issue that was causing
      compilation errors on 32-bit machines.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 30 Jul 2024 13:31:35 -0400

msolve (0.6.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/32-bit.patch
    - New patch to fix 32-bit builds.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 25 Jul 2024 23:09:51 -0400

msolve (0.6.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Remove unused ${shlibs:Depends} from Depends for libmsolve-dev.
  * debian/libmsolve0.symbols
    - Update symbols for new release.
    - Add Build-Depends-Package fields.

 -- Doug Torrance <dtorrance@debian.org>  Fri, 19 Jul 2024 17:17:08 -0400

msolve (0.6.6-1) unstable; urgency=medium

  * Upload to unstable.
  * Source-only upload for transition to testing.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 27 Jun 2024 14:13:43 -0400

msolve (0.6.6-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/control
    - Bump Standards-Version to 4.7.0.
    - Rename libmsolve-0.6.5 binary package to libmsolve0 now that the
      libraries are built with -version-info instead of -release.
  * debian/libmsolve-dev.install
    - Simplify wildcards.
  * debian/libmsolve0.install
    - Rename from libmsolve-0.6.5.install and update wildcards.
  * debian/libmsolve0.symbols
    - Rename from libmsolve-0.6.5.symbols and add one new symbol.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 27 Jun 2024 12:04:55 -0400

msolve (0.6.5-1) unstable; urgency=medium

  * Upload to unstable.
  * Source-only upload for transition to testing.
  * debian/libmsolve-0.6.5.symbols
    - Mark _mod_mat_addmul_transpose_op as architecture-specific; only
      available on x86 processors.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 27 Feb 2024 16:56:51 -0500

msolve (0.6.5-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/control
    - Rename libmsolve-0.6.4 package to libmsolve-0.6.5.
    - Add Section for libmsolve-0.6.5 and libmsolve-dev binary
      packages (libs and libdevel, respectively).
  * debian/libmsolve-0.6.5.install
    - Rename from libmsolve-0.6.4.install.
  * debian/libmsolve-0.6.5.symbols
    - Add symbols file.

 -- Doug Torrance <dtorrance@debian.org>  Mon, 26 Feb 2024 18:19:21 -0500

msolve (0.6.4-1) unstable; urgency=medium

  * Upload to unstable.
  * Source-only upload for transition to testing.

 -- Doug Torrance <dtorrance@debian.org>  Sun, 11 Feb 2024 21:14:13 -0500

msolve (0.6.4-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/control
    - Add new libmsolve-0.6.4 and libmsolve-dev packages containing the
      shared libraries and development files, respectively.
  * debian/libmsolve-0.6.4.install
    - New file; install shared libraries.
  * debian/libmsolve-dev.install
    - New file; install development files.
  * debian/lintian-overrides
    - Remove file; no longer necessary now that we install the shared
      libraries in their own package.
  * debian/msolve.doc-base
    - Rename from "doc-base".
  * debian/msolve.docs
    - Rename from "docs".
  * debian/msolve.install
    - Rename from "install" and install contents of usr/bin.
  * debian/msolve.manpages
    - Rename from "manpages".
  * debian/not-installed
    - Don't install libtool .la files.
  * debian/rules
    - Stop removing files that now are installed in -dev package.
    - Update paths for generating manpage (debian/msolve -> debian/tmp).

 -- Doug Torrance <dtorrance@debian.org>  Sat, 10 Feb 2024 10:11:28 -0500

msolve (0.6.3-2) unstable; urgency=medium

  * debian/copyright
    - Bump my copyright years.
  * debian/rules
    - Don't install headers or pkg-config file.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 04 Jan 2024 17:58:46 -0500

msolve (0.6.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/skip-tests.patch
    - Remove patch; applied upstream

 -- Doug Torrance <dtorrance@debian.org>  Sat, 16 Dec 2023 16:12:52 -0500

msolve (0.6.2-2) unstable; urgency=medium

  * debian/patches/skip-tests.patch
    - New patch; skips failing tests.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 16 Dec 2023 14:31:18 -0500

msolve (0.6.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/lintian-overrides
    - Update version number.
  * debian/patches/xcolor-hyperref.patch
    - Remove patch; applied upstream.

 -- Doug Torrance <dtorrance@debian.org>  Fri, 15 Dec 2023 08:04:00 -0500

msolve (0.6.1-2) unstable; urgency=medium

  * debian/lintian-overrides
    - Update version number in override.
  * debian/patches/xcolor-hyperref.patch
    - New patch; fix spelling of "hyperref" option to xcolor package
      (Closes: #1058557).

 -- Doug Torrance <dtorrance@debian.org>  Wed, 13 Dec 2023 09:43:55 -0500

msolve (0.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 02 Nov 2023 16:00:15 -0400

msolve (0.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Doug Torrance <dtorrance@debian.org>  Mon, 30 Oct 2023 12:08:44 -0400

msolve (0.5.0-2) unstable; urgency=medium

  * debian/lintian-overrides
    - Update version number in package-name-doesnt-match-sonames override.
  * debian/rules
    - Skip tests on 32-bit architectures to prevent FTBFS.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 13 Jul 2023 12:34:36 -0400

msolve (0.5.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/fix-typos.patch
    - Remove patch; applied upstream.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 05 Jul 2023 10:57:46 -0400

msolve (0.4.9-3) unstable; urgency=medium

  * debian/tests/control
    - Don't run autopkgtests on 32-bit architectures.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 20 Jun 2023 11:04:39 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libmsolve3`.
